RESTinio

Public Member Functions | Public Attributes | List of all members
nonstd::optional_lite::detail::alignment_of_hack< T > Struct Template Reference

`#include <optional.hpp>`

## Public Member Functions
| alignment_of_hack ()

## Public Attributes
char | c
T | t

## Detailed Description

template<typename T>
struct nonstd::optional_lite::detail::alignment_of_hack< T >

Definition at line 673 of file optional.hpp.

## Constructor & Destructor Documentation

## ◆ alignment_of_hack()

template<typename T >

nonstd::optional_lite::detail::alignment_of_hack< T >::alignment_of_hack | ( |  | ) |

## Member Data Documentation

## ◆ c

template<typename T >

char nonstd::optional_lite::detail::alignment_of_hack< T >::c

Definition at line 675 of file optional.hpp.

## ◆ t

template<typename T >

T nonstd::optional_lite::detail::alignment_of_hack< T >::t

Definition at line 676 of file optional.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/optional-lite/optional.hpp